{% extends 'base.html.twig' %}

{% block title %}Intervention index{% endblock %}

{% block body %}
<div class="d-flex flex-row">
    {{ include('sidebar/_sidebar.html.twig', {'active': 'intervention'}) }}
    <div class="container py-5">
        <h1>Liste des Interventions</h1>

        <table class="table table-striped mt-5">
            <thead>
                <tr>
                    <th>Id</th>
                    <th>Date intervetion</th>
                    <th>actions</th>
                </tr>
            </thead>
            <tbody>
                {% for intervention in interventions %}
                <tr>
                    <td>{{ intervention.id }}</td>
                    <td>{{ intervention.dateInterv ? intervention.dateInterv|date('Y-m-d') : '' }}</td>
                    <td>
                        <a class="btn btn-success"
                            href="{{ path('technicien_show', {'codeTech': intervention.id}) }}">Afficher</a>
                        <a class="btn btn-danger"
                            href="{{ path('technicien_edit', {'codeTech': intervention.id}) }}">Editer</a>
                    </td>
                </tr>
                {% else %}
                <tr>
                    <td colspan="3">Aucune intervention trouvée</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>

        <a class="btn btn-primary" href="{{ path('intervention_new') }}">Ajouter intervention</a>
    </div>
</div>
{% endblock %}